## r-cran-gargle 1.2.0

=== DESCRIPTION ===
Package: gargle
Title: Utilities for Working with Google APIs
Version: 1.2.0
Authors@R: 
    c(person(given = "Jennifer",
             family = "Bryan",
             role = c("aut", "cre"),
             email = "jenny@rstudio.com",
             comment = c(ORCID = "0000-0002-6983-2759")),
      person(given = "Craig",
             family = "Citro",
             role = "aut",
             email = "craigcitro@google.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com",
             comment = c(ORCID = "0000-0003-4757-117X")),
      person(given = "Google Inc",
             role = "cph"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Provides utilities for working with Google APIs
    <https://developers.google.com/apis-explorer>.  This includes
    functions and classes for handling common credential types and for
    preparing, executing, and processing HTTP requests.
License: MIT + file LICENSE
URL: https://gargle.r-lib.org, https://github.com/r-lib/gargle
BugReports: https://github.com/r-lib/gargle/issues
Depends: R (>= 3.3)
Imports: cli (>= 3.0.0), fs (>= 1.3.1), glue (>= 1.3.0), httr (>=
        1.4.0), jsonlite, rappdirs, rlang (>= 0.4.9), rstudioapi,
        stats, utils, withr
Suggests: aws.ec2metadata, aws.signature, covr, httpuv, knitr, mockr,
        rmarkdown, sodium, spelling, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.1.9001
NeedsCompilation: no
Packaged: 2021-07-02 16:28:58 UTC; jenny
Author: Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  Craig Citro [aut],
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Google Inc [cph],
  RStudio [cph, fnd]
Maintainer: Jennifer Bryan <jenny@rstudio.com>
Repository: CRAN
Date/Publication: 2021-07-02 16:50:02 UTC

=== debian/changelog ===
r-cran-gargle (1.2.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 16:24:34 +0100

r-cran-gargle (1.2.0-1) unstable; urgency=medium

  * Initial release (closes: #994964)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 09:45:16 +0200

=== debian/control ===
Source: r-cran-gargle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.0.0),
               r-cran-fs (>= 1.3.1),
               r-cran-glue,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-rappdirs,
               r-cran-rlang (>= 0.4.9),
               r-cran-rstudioapi,
               r-cran-withr
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gargle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gargle.git
Homepage: https://cran.r-project.org/package=gargle
Rules-Requires-Root: no

Package: r-cran-gargle
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R utilities for working with Google APIs
 Provides utilities for working with Google APIs
 <https://developers.google.com/apis-explorer>.  This includes
 functions and classes for handling common credential types and for
 preparing, executing, and processing HTTP requests.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mockr
Restrictions: allow-stderr

## r-cran-gargle 1.3.0

=== DESCRIPTION ===
Package: gargle
Title: Utilities for Working with Google APIs
Version: 1.3.0
Authors@R: c(
    person("Jennifer", "Bryan", , "jenny@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6983-2759")),
    person("Craig", "Citro", , "craigcitro@google.com", role = "aut"),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Google Inc", role = "cph"),
    person("Posit, PBC", role = c("cph", "fnd"))
  )
Description: Provides utilities for working with Google APIs
    <https://developers.google.com/apis-explorer>.  This includes
    functions and classes for handling common credential types and for
    preparing, executing, and processing HTTP requests.
License: MIT + file LICENSE
URL: https://gargle.r-lib.org, https://github.com/r-lib/gargle
BugReports: https://github.com/r-lib/gargle/issues
Depends: R (>= 3.5)
Imports: cli (>= 3.0.0), fs (>= 1.3.1), glue (>= 1.3.0), httr (>=
        1.4.0), jsonlite, lifecycle, openssl, rappdirs, rlang (>=
        1.0.0), rstudioapi, stats, utils, withr
Suggests: aws.ec2metadata, aws.signature, covr, httpuv, knitr, mockr,
        rmarkdown, sodium, spelling, testthat (>= 3.1.2)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-30 17:08:15 UTC; jenny
Author: Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  Craig Citro [aut],
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Google Inc [cph],
  Posit, PBC [cph, fnd]
Maintainer: Jennifer Bryan <jenny@posit.co>
Repository: CRAN
Date/Publication: 2023-01-30 19:40:02 UTC

=== debian/changelog ===
r-cran-gargle (1.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * More lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 11:44:25 +0100

r-cran-gargle (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * lintian-overrides for source-is-missing

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 17:56:38 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,13 @@
                r-cran-glue,
                r-cran-httr,
                r-cran-jsonlite,
+               r-cran-lifecycle,
+               r-cran-openssl,
                r-cran-rappdirs,
-               r-cran-rlang (>= 0.4.9),
+               r-cran-rlang (>= 1.0.0),
                r-cran-rstudioapi,
                r-cran-withr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gargle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gargle.git
 Homepage: https://cran.r-project.org/package=gargle

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gargle_([-\d.]*)\.tar\.gz

## r-cran-gargle 1.5.1

=== debian/changelog ===
r-cran-gargle (1.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2023 15:21:29 +0200

r-cran-gargle (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Update list of false positives in lintian-overrides
  * Test-Depends as per Suggests
  * Skip tests that need not yet packaged CRAN packages for AWS authentication

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jun 2023 16:45:27 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
#         r-cran-aws.
#         r-cran-ec2metadata,
#         r-cran-aws.signature,
          r-cran-covr,
          r-cran-httpuv,
          r-cran-knitr,
          r-cran-rmarkdown,
          r-cran-sodium,
          r-cran-spelling,
          r-cran-testthat
Restrictions: allow-stderr

## r-cran-gargle 1.5.2

=== DESCRIPTION ===
Package: gargle
Title: Utilities for Working with Google APIs
Version: 1.5.2
Authors@R: c(
    person("Jennifer", "Bryan", , "jenny@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6983-2759")),
    person("Craig", "Citro", , "craigcitro@google.com", role = "aut"),
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut",
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Google Inc", role = "cph"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Provides utilities for working with Google APIs
    <https://developers.google.com/apis-explorer>.  This includes
    functions and classes for handling common credential types and for
    preparing, executing, and processing HTTP requests.
License: MIT + file LICENSE
URL: https://gargle.r-lib.org, https://github.com/r-lib/gargle
BugReports: https://github.com/r-lib/gargle/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.0.1), fs (>= 1.3.1), glue (>= 1.3.0), httr (>=
        1.4.5), jsonlite, lifecycle, openssl, rappdirs, rlang (>=
        1.1.0), stats, utils, withr
Suggests: aws.ec2metadata, aws.signature, covr, httpuv, knitr,
        rmarkdown, sodium, spelling, testthat (>= 3.1.7)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-07-20 18:17:52 UTC; jenny
Author: Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
  Craig Citro [aut],
  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
  Google Inc [cph],
  Posit Software, PBC [cph, fnd]
Maintainer: Jennifer Bryan <jenny@posit.co>
Repository: CRAN
Date/Publication: 2023-07-20 18:50:08 UTC

=== debian/changelog ===
r-cran-gargle (1.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 11:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli (>= 3.0.0),
-               r-cran-fs (>= 1.3.1),
+               r-cran-cli (>= 3.0.1),
+               r-cran-fs,
                r-cran-glue,
-               r-cran-httr,
+               r-cran-httr (>= 1.4.5),
                r-cran-jsonlite,
                r-cran-lifecycle,
                r-cran-openssl,
                r-cran-rappdirs,
-               r-cran-rlang (>= 1.0.0),
-               r-cran-rstudioapi,
+               r-cran-rlang (>= 1.1.0),
                r-cran-withr
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gargle

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-httpuv,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-sodium,
        r-cran-spelling,
        r-cran-testthat (>= 3.1.7)
Restrictions: allow-stderr

## r-cran-gargle 1.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gargle
 Title: Utilities for Working with Google APIs
-Version: 1.5.2
+Version: 1.6.1
 Authors@R: c(
     person("Jennifer", "Bryan", , "jenny@posit.co", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6983-2759")),
@@ -17,10 +17,10 @@
 License: MIT + file LICENSE
 URL: https://gargle.r-lib.org, https://github.com/r-lib/gargle
 BugReports: https://github.com/r-lib/gargle/issues
-Depends: R (>= 3.6)
+Depends: R (>= 4.1)
 Imports: cli (>= 3.0.1), fs (>= 1.3.1), glue (>= 1.3.0), httr (>=
-        1.4.5), jsonlite, lifecycle, openssl, rappdirs, rlang (>=
-        1.1.0), stats, utils, withr
+        1.4.5), jsonlite, lifecycle (>= 0.2.0), openssl, rappdirs,
+        rlang (>= 1.1.0), stats, utils, withr
 Suggests: aws.ec2metadata, aws.signature, covr, httpuv, knitr,
         rmarkdown, sodium, spelling, testthat (>= 3.1.7)
 VignetteBuilder: knitr
@@ -28,14 +28,15 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2023-07-20 18:17:52 UTC; jenny
-Author: Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
+Packaged: 2026-01-28 21:12:16 UTC; jenny
+Author: Jennifer Bryan [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-6983-2759>),
   Craig Citro [aut],
-  Hadley Wickham [aut] (<https://orcid.org/0000-0003-4757-117X>),
+  Hadley Wickham [aut] (ORCID: <https://orcid.org/0000-0003-4757-117X>),
   Google Inc [cph],
   Posit Software, PBC [cph, fnd]
 Maintainer: Jennifer Bryan <jenny@posit.co>
 Repository: CRAN
-Date/Publication: 2023-07-20 18:50:08 UTC
+Date/Publication: 2026-01-29 06:10:33 UTC

=== debian/changelog ===
r-cran-gargle (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Refresh patch.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Feb 2026 09:36:34 +0900

=== debian/control ===
Source: r-cran-gargle
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-fs,
 r-cran-glue,
 r-cran-httr,
 r-cran-jsonlite,
 r-cran-lifecycle,
 r-cran-openssl,
 r-cran-rappdirs,
 r-cran-rlang (>= 1.1.0),
 r-cran-withr,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gargle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gargle.git
Homepage: https://cran.r-project.org/package=gargle
Rules-Requires-Root: no

Package: r-cran-gargle
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R utilities for working with Google APIs
 Provides utilities for working with Google APIs
 <https://developers.google.com/apis-explorer>.  This includes
 functions and classes for handling common credential types and for
 preparing, executing, and processing HTTP requests.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-httpuv,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-sodium,
 r-cran-spelling,
 r-cran-testthat (>= 3.1.7),
